Skip to main content
Vehicles webhooks notify your system when:
  • A new vehicle object is added after a new account is scanned with an initial scan or after additional vehicles are found during the periodic scan.
  • An existing vehicle object is updated with new information after a periodic scan.
  • An existing vehicle object is removed by a data provider and is found to be missing during a periodic scan or when the parent account is deleted.

Added

POST /v1/webhooks Implement the vehicles.added webhook to know when a vehicle object is added.
  • A new vehicle object is added when a new account object is created and scanned or after additional vehicles are found during a periodic scan.

Request body

Webhook message

  • name (string, optional): Name used for the webhook subscription.
  • data (object, optional)
  • account (string (uuid), optional): ID of the account.
  • user (string (uuid), optional): ID of the user.
  • vehicle (string (uuid), optional): ID of the vehicle.

Updated

POST /v1/webhooks Implement the vehicles.updated webhook to know when a vehicle object is updated.
  • Vehicle objects are updated through periodic scanning.

Request body

Webhook message

  • name (string, optional): Name used for the webhook subscription.
  • data (object, optional)
  • account (string (uuid), optional): ID of the account.
  • user (string (uuid), optional): ID of the user.
  • vehicle (string (uuid), optional): ID of the vehicle.

Removed

POST /v1/webhooks Implement the vehicles.removed webhook to know when a vehicle object is removed.
  • Vehicle objects will be removed when they are deleted by a payroll provider and are found to be missing during a periodic scan or when the account associated with the vehicle is deleted.

Request body

Webhook message

  • name (string, optional): Name used for the webhook subscription.
  • data (object, optional)
  • account (string (uuid), optional): ID of the account.
  • user (string (uuid), optional): ID of the user.
  • vehicle (string (uuid), optional): ID of the vehicle.